;;;; geo-earth.scm
;;;; Kon Lovett, Jan '18

(module geo-earth

(;export
  ;
  *earth-flattening*
  *earth-radius-miles* *earth-radius-kilometers*
  ;
  make-earth)

(import scheme chicken)
(use
  geo-globe
  typed-define)

(include "geo-constants")

;;;

(define *earth-flattening* EARTH-FLATTENING)

(define *earth-radius-miles* EARTH-RADIUS-MILES)
(define *earth-radius-kilometers* EARTH-RADIUS-KILOMETERS)

;;

(define-type geopoint (struct geopoint))

(define-type globe (struct globe))

;;

(define: (make-earth) --> globe
  (make-globe EARTH-RADIUS-KILOMETERS EARTH-FLATTENING) )

) ;module geo-earth
